## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate globset

Name:           rust-globset
Version:        0.4.16
Release:        %autorelease
Summary:        Cross platform single glob and glob set matching

License:        Unlicense OR MIT
URL:            https://crates.io/crates/globset
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross platform single glob and glob set matching. Glob set matching is
the process of matching one or more glob patterns against a single
candidate path simultaneously, and returning all of the globs that
matched.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/UNLICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde1-devel %{_description}

This package contains library source intended for building other packages which
use the "serde1" feature of the "%{crate}" crate.

%files       -n %{name}+serde1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-accel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-accel-devel %{_description}

This package contains library source intended for building other packages which
use the "simd-accel" feature of the "%{crate}" crate.

%files       -n %{name}+simd-accel-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.4.16-1
- Update to version 0.4.16; Fixes RHBZ#2348854

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.15-1
- Update to version 0.4.15; Fixes RHBZ#2310770

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.14-1
- Update to version 0.4.14; Fixes RHBZ#2251594

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.13-1
- Update to version 0.4.13; Fixes RHBZ#2229379

* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.12-1
- Update to version 0.4.12; Fixes RHBZ#2222418

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.10-1
- Update to version 0.4.10; Fixes RHBZ#2158495

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.9-1
- Update to version 0.4.9; Fixes RHBZ#2095864

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#1973803

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.7-1
- Update to version 0.4.7.
- Fixes RHBZ#1971130

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6.
- Fixes RHBZ#1890366

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 17 16:25:35 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 07:28:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Thu Jun 20 09:43:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-4
- Regenerate

* Sun Jun 09 09:54:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-3
- Regenerate

* Tue May 07 12:54:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Rebuild

* Tue Apr 16 12:29:32 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Wed Apr 03 2019 Josh Stone <jistone@redhat.com> - 0.4.2-4
- Update to aho-corasick 0.7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Adapt to new packaging

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Bump regex to 1

* Wed Apr 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Rebuild for rust-packaging v5

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-1
- Initial package

## END: Generated by rpmautospec
